R2 = Manifold(2, 'R^2', structure='topological')
c_cart = R2.chart('x y'); x, y = c_cart[:]
U = R2.open_subset('U', coord_def={c_cart: (y!=0, x<0)})
c_pol = U.chart(r'r:(0,+oo) ph:(0,2*pi):\phi'); r, ph = c_pol[:]
pol_to_cart = c_pol.transition_map(c_cart, [r*cos(ph), r*sin(ph)])
g = c_pol.plot(c_cart, ranges={ph:(pi/4,pi)}, nb_values={r:7, ph:17}, \
               color={r:'red', ph:'green'}, style={r:'-', ph:'--'})
sphinx_plot(g)